edu.wpi.first.wpilibj

## Enum PWM.PeriodMultiplier

- java.lang.Object
- - java.lang.Enum<PWM.PeriodMultiplier>
  - - edu.wpi.first.wpilibj.PWM.PeriodMultiplier

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PWM.PeriodMultiplier>
  Enclosing class:
    PWM

      public static enum PWM.PeriodMultiplier
      extends java.lang.Enum<PWM.PeriodMultiplier>

  Represents the amount to multiply the minimum servo-pulse pwm period by.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `k1X` Period Multiplier: don't skip pulses.
    `k2X` Period Multiplier: skip every other pulse.
    `k4X` Period Multiplier: skip three out of four pulses.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PWM.PeriodMultiplier` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PWM.PeriodMultiplier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### k1X

          public static final PWM.PeriodMultiplier k1X

      Period Multiplier: don't skip pulses. PWM pulses occur every 5.005 ms

    - #### k2X

          public static final PWM.PeriodMultiplier k2X

      Period Multiplier: skip every other pulse. PWM pulses occur every 10.010 ms

    - #### k4X

          public static final PWM.PeriodMultiplier k4X

      Period Multiplier: skip three out of four pulses. PWM pulses occur every 20.020 ms

  - ### Method Detail

    - #### values

          public static PWM.PeriodMultiplier[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PWM.PeriodMultiplier c : PWM.PeriodMultiplier.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PWM.PeriodMultiplier valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null